#1755 Open Recent - uncheck option remember

KeePass_2.x
closed
nobody
Open Recent (1)
5
2013-07-22
2013-07-22
Joe Howski
No

Feature request

It would be very nice if Keepass had the ability not to remember open recent history. I am suggesting a checkbox in options to prevent the history of the file location. I have changed the name of the safe which goes a long way to obscure the file, but it remains in open recent history when the Keepass file is closed. So if I forgot to clear history a hacker could view my open recent by opening Keepass. If the open recent history was missing, finding a Keepass file in a computer would be like trying to find a needle in a haystack, near impossible, because the file could be put anywhere in the system and could masquerade as any file, eg, net20.dll among other dlls. I feel if somebody knew it was a Keypass file they would be more easily able to crack it with brute force. Having the file amount other files would make it even more difficulty

Another additional option would also be able to embed the functionality inside Keepass database signaling the main Keepass not to store history. I move from computer to computer via google drive and being able to hide the files automatically would be a really cool feature.

Related

Feature Requests: #1755

Discussion

  • Dominik Reichl
    Dominik Reichl
    2013-07-22

    KeePass already has such options.
    - 'Tools' -> 'Options' -> tab 'Interface' -> set 'Remember recently used files' to 0.
    - 'Tools' -> 'Options' -> tab 'Advanced' -> uncheck 'Remember and automatically open last used database on startup'.

    However, I recommend to rely on a strong master key, not on a secret location of the database file. Trying to hide the database file is security by obscurity and will not work. Database files can be identified easily and furthermore it's very easy to find out which files you recently used (e.g. by observing the last access times, recently used files list of Windows, malware scanner logs, ...).

    Best regards,
    Dominik

     
  • Dominik Reichl
    Dominik Reichl
    2013-07-22

    • status: open --> closed
     
  • Joe Howski
    Joe Howski
    2013-07-23

    Thanks exactly what I was looking for.

    Regards

    Joseph Wojciechowski
    Phone 0412715637

    On 23/07/2013 12:45 AM, Dominik Reichl wrote:

    KeePass already has such options.
    - 'Tools' -> 'Options' -> tab 'Interface' -> set 'Remember recently
    used files' to 0.
    - 'Tools' -> 'Options' -> tab 'Advanced' -> uncheck 'Remember and
    automatically open last used database on startup'.

    However, I recommend to rely on a strong master key, not on a secret
    location of the database file. Trying to hide the database file is
    security by obscurity and will not work. Database files can be
    identified easily and furthermore it's very easy to find out which
    files you recently used (e.g. by observing the last access times,
    recently used files list of Windows, malware scanner logs, ...).

    Best regards,
    Dominik


    [feature-requests:#1755]
    http://sourceforge.net/p/keepass/feature-requests/1755/ Open Recent
    - uncheck option remember

    Status: closed
    Labels: Open Recent
    Created: Mon Jul 22, 2013 01:22 PM UTC by Joe Howski
    Last Updated: Mon Jul 22, 2013 01:22 PM UTC
    Owner: nobody

    Feature request

    It would be very nice if Keepass had the ability not to remember open
    recent history. I am suggesting a checkbox in options to prevent the
    history of the file location. I have changed the name of the safe
    which goes a long way to obscure the file, but it remains in open
    recent history when the Keepass file is closed. So if I forgot to
    clear history a hacker could view my open recent by opening Keepass.
    If the open recent history was missing, finding a Keepass file in a
    computer would be like trying to find a needle in a haystack, near
    impossible, because the file could be put anywhere in the system and
    could masquerade as any file, eg, net20.dll among other dlls. I feel
    if somebody knew it was a Keypass file they would be more easily able
    to crack it with brute force. Having the file amount other files would
    make it even more difficulty

    Another additional option would also be able to embed the
    functionality inside Keepass database signaling the main Keepass not
    to store history. I move from computer to computer via google drive
    and being able to hide the files automatically would be a really cool
    feature.


    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/keepass/feature-requests/1755/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Feature Requests: #1755